Index: prj/build.lst
===================================================================
RCS file: /cvs/util/extensions/prj/build.lst,v
retrieving revision 1.32
retrieving revision 1.32.14.1
diff -u -r1.32 -r1.32.14.1
--- prj/build.lst	20 Jan 2006 13:10:34 -0000	1.32
+++ prj/build.lst	31 Jan 2006 00:44:41 -0000	1.32.14.1
@@ -11,10 +11,11 @@
 ex	extensions\source\resource			nmake	-	all	ex_resrc NULL
 ex	extensions\source\installation			nmake	-	w	ex_inst NULL
 ex	extensions\source\installation\office\protchk		nmake	-	all	ex_pchk NULL
+ex  extensions\source\plugin\aqua           nmake   -   u   ex_plaqua ex_plbase NULL
 ex	extensions\source\plugin\base			nmake	-	all	ex_plbase NULL
 ex	extensions\source\plugin\win			nmake	-	w	ex_plwin ex_plbase NULL
 ex	extensions\source\plugin\unx			nmake	-	u	ex_plunx NULL
-ex	extensions\source\plugin\util			nmake	-	all	ex_plutil ex_plbase ex_plunx.u ex_plwin.w NULL
+ex	extensions\source\plugin\util			nmake	-	all	ex_plutil ex_plbase ex_plunx.u ex_plwin.w ex_plaqua.u NULL
 ex	extensions\source\scanner			nmake	-	all	ex_scan ex_resrc NULL
 ex	extensions\source\svg				nmake	-	all	ex_svg ex_scan NULL
 ex	extensions\source\packer			nmake	-	all	ex_pck NULL
Index: source/plugin/base/xplugin.cxx
===================================================================
RCS file: /cvs/util/extensions/source/plugin/base/xplugin.cxx,v
retrieving revision 1.17
retrieving revision 1.17.82.1
diff -u -r1.17 -r1.17.82.1
--- source/plugin/base/xplugin.cxx	8 Sep 2005 19:52:34 -0000	1.17
+++ source/plugin/base/xplugin.cxx	31 Jan 2006 00:36:15 -0000	1.17.82.1
@@ -58,6 +58,11 @@
 #ifdef UNX
 #include <sys/types.h>
 #include <sys/socket.h>
+#ifdef QUARTZ
+#include <premac.h>
+#include <ApplicationServices/ApplicationServices.h>
+#include <postmac.h>
+#endif //QUARTZ
 #endif
 
 #if OSL_DEBUG_LEVEL > 1
@@ -523,7 +528,7 @@
         }
     }
     const SystemEnvData* pEnvData = getSysChildSysData();
-#ifdef UNX
+#if defined( UNX ) && !(defined(QUARTZ))
     XSync( (Display*)pEnvData->pDisplay, False );
 #endif
     if( ! getPluginComm() )
@@ -535,12 +540,21 @@
             PluginComm* pComm = NULL;
             int sv[2];
             if( !socketpair( AF_UNIX, SOCK_STREAM, 0, sv ) )
+#ifdef QUARTZ
+                pComm = new MacPluginComm( m_aDescription.Mimetype,
+                                           m_aDescription.PluginName,
+                                           (WindowRef)pEnvData->aWindow,
+                                           sv[0],
+                                           sv[1]
+                                           );
+#else
                 pComm = new UnxPluginComm( m_aDescription.Mimetype,
                                            m_aDescription.PluginName,
                                            (XLIB_Window)pEnvData->aWindow,
                                            sv[0],
                                            sv[1]
                                            );
+#endif //QUARTZ
 #elif (defined WNT || defined OS2)
             PluginComm* pComm = new PluginComm_Impl( m_aDescription.Mimetype,
                                                      m_aDescription.PluginName,
@@ -562,12 +576,16 @@
                  (char**)(m_nArgs ? m_pArgv : NULL),
                  NULL );
 
-#ifdef UNX
+#if defined( UNX ) && !defined(QUARTZ)
     XSync( (Display*)pEnvData->pDisplay, False );
 #endif
 #ifdef UNX
     m_aNPWindow.window      = (void*)pEnvData->aWindow;
+#if !defined(QUARTZ)
     m_aNPWindow.ws_info     = NULL;
+#else
+    m_aNPWindow.type        = NPWindowTypeWindow;
+#endif //QUARTZ
 #else
     m_aNPWindow.window = (void*)pEnvData->hWnd;
 #endif
Index: source/plugin/inc/plugin/impl.hxx
===================================================================
RCS file: /cvs/util/extensions/source/plugin/inc/plugin/impl.hxx,v
retrieving revision 1.10
retrieving revision 1.10.82.1
diff -u -r1.10 -r1.10.82.1
--- source/plugin/inc/plugin/impl.hxx	8 Sep 2005 19:52:49 -0000	1.10
+++ source/plugin/inc/plugin/impl.hxx	31 Jan 2006 00:36:16 -0000	1.10.82.1
@@ -140,8 +140,12 @@
 #include <plugin/os2/sysplug.hxx>
 #endif
 
-#ifdef UNX
+#if defined(UNX)
+#if defined(QUARTZ)
+#include <plugin/aqua/sysplug.hxx>
+#else
 #include <plugin/unx/sysplug.hxx>
+#endif
 #endif
 
 #include <vcl/sysdata.hxx>
Index: source/plugin/unx/makefile.mk
===================================================================
RCS file: /cvs/util/extensions/source/plugin/unx/makefile.mk,v
retrieving revision 1.9
retrieving revision 1.9.14.1
diff -u -r1.9 -r1.9.14.1
--- source/plugin/unx/makefile.mk	20 Jan 2006 12:59:15 -0000	1.9
+++ source/plugin/unx/makefile.mk	31 Jan 2006 00:36:16 -0000	1.9.14.1
@@ -40,6 +40,12 @@
 
 .INCLUDE :  ..$/util$/makefile.pmk
 
+.IF "$(GUIBASE)"=="aqua"
+dummy:
+    @echo "Nothing to build for GUIBASE aqua."
+    
+.ELSE
+
 # --- Files --------------------------------------------------------
 
 INCPRE+=-I$(SOLARINCDIR)$/mozilla$/plugin
@@ -80,6 +86,7 @@
 
 APP1DEF=	$(MISC)$/$(TARGET).def
 
+.ENDIF # $(GUIBASE)==aqua
 
 # --- Targets ------------------------------------------------------
 
Index: source/plugin/util/makefile.mk
===================================================================
RCS file: /cvs/util/extensions/source/plugin/util/makefile.mk,v
retrieving revision 1.12
retrieving revision 1.12.82.1
diff -u -r1.12 -r1.12.82.1
--- source/plugin/util/makefile.mk	8 Sep 2005 19:57:10 -0000	1.12
+++ source/plugin/util/makefile.mk	31 Jan 2006 00:36:17 -0000	1.12.82.1
@@ -49,7 +49,11 @@
 	$(SHL1LINKLIB)
 
 .IF "$(GUI)" == "UNX"
+.IF "$(GUIBASE)"=="aqua"
+SHL1LINKLIB = $(SLB)$/plaqua.lib
+.ELSE
 SHL1LINKLIB = $(SLB)$/plunx.lib
+.ENDIF # $(GUIBASE)==aqua
 .IF "$(OS)" == "SOLARIS"
 SHL1OWNLIBS = -lsocket
 .ENDIF # SOLARIS
@@ -91,7 +95,7 @@
 	$(CPPULIB)			\
 	$(SALLIB)
 
-.IF "$(OS)"=="MACOSX"
+.IF "$(OS)"=="MACOSX" && "$(GUIBASE)"=="unx"
 SHL1STDLIBS+= -lX11
 .ENDIF
 