Index: inc/macros.inc
===================================================================
RCS file: /cvs/installation/scp2/inc/macros.inc,v
retrieving revision 1.14
retrieving revision 1.14.336.1
diff -u -r1.14 -r1.14.336.1
--- inc/macros.inc	7 Jul 2005 13:18:11 -0000	1.14
+++ inc/macros.inc	6 Feb 2006 15:03:30 -0000	1.14.336.1
@@ -66,16 +66,16 @@
 #endif
 
 #ifdef UNX
-    #define LIBNAME(name)                     STRING(CONCAT5(lib,name,OFFICEUPD,DLLSUFFIX,UNXSUFFIX))
-    #define LIBSHORTNAME(name)                STRING(CONCAT4(lib,name,DLLSUFFIX,UNXSUFFIX))
+    #define LIBNAME(name)                     STRING(CONCAT5(lib,name,OFFICEUPD,DLLPOSTFIX,UNXSUFFIX))
+    #define LIBSHORTNAME(name)                STRING(CONCAT4(lib,name,DLLPOSTFIX,UNXSUFFIX))
     #define FILTER_LIBNAME(name)              LIBNAME(name)
     #define EXENAME(name)                     STRING(name)
     #define PROFILENAME(name)                 STRING(CONCAT2(name,rc))
     #define SPECIAL_NAME(name)                STRING(CONCAT3(lib,name,UNXSUFFIX))
     #define SPECIAL_COMPONENT_LIB_NAME(name)  STRING(CONCAT2(name,UNXSUFFIX))
 #else
-    #define LIBNAME(name)                     STRING(CONCAT4(name,OFFICEUPD,DLLSUFFIX,.dll))
-    #define LIBSHORTNAME(name)                STRING(CONCAT3(name,DLLSUFFIX,.dll))
+    #define LIBNAME(name)                     STRING(CONCAT4(name,OFFICEUPD,DLLPOSTFIX,.dll))
+    #define LIBSHORTNAME(name)                STRING(CONCAT3(name,DLLPOSTFIX,.dll))
     #define FILTER_LIBNAME(name)              LIBNAME(name)
     #define EXENAME(name)                     STRING(CONCAT2(name,.exe))
     #define PROFILENAME(name)                 STRING(CONCAT2(name,.ini))
Index: source/ooo/file_library_ooo.scp
===================================================================
RCS file: /cvs/installation/scp2/source/ooo/file_library_ooo.scp,v
retrieving revision 1.186
retrieving revision 1.181.24.2
diff -u -r1.186 -r1.181.24.2
--- source/ooo/file_library_ooo.scp	17 Feb 2006 16:50:56 -0000	1.186
+++ source/ooo/file_library_ooo.scp	22 Feb 2006 09:33:46 -0000	1.181.24.2
@@ -89,9 +89,9 @@
     RegistryID = gid_Starregistry_Services_Rdb;
     Dir = gid_Dir_Program;
   #ifdef UNX
-    Name = STRING(CONCAT5(basprov,OFFICEUPD,DLLSUFFIX,.uno,UNXSUFFIX));
+    Name = STRING(CONCAT5(basprov,OFFICEUPD,DLLPOSTFIX,.uno,UNXSUFFIX));
   #else
-    Name = STRING(CONCAT5(basprov,OFFICEUPD,DLLSUFFIX,.uno,.dll));
+    Name = STRING(CONCAT5(basprov,OFFICEUPD,DLLPOSTFIX,.uno,.dll));
   #endif
 End
 
@@ -631,9 +631,9 @@
     RegistryID = gid_Starregistry_Services_Rdb;
     Dir = gid_Dir_Program;
   #ifdef UNX
-    Name = STRING(CONCAT5(dlgprov,OFFICEUPD,DLLSUFFIX,.uno,UNXSUFFIX));
+    Name = STRING(CONCAT5(dlgprov,OFFICEUPD,DLLPOSTFIX,.uno,UNXSUFFIX));
   #else
-    Name = STRING(CONCAT5(dlgprov,OFFICEUPD,DLLSUFFIX,.uno,.dll));
+    Name = STRING(CONCAT5(dlgprov,OFFICEUPD,DLLPOSTFIX,.uno,.dll));
   #endif
 End
 
@@ -1036,9 +1036,9 @@
 File gid_File_Lib_J
     TXT_FILE_BODY;
   #ifdef UNX
-    Name = STRING(CONCAT6(lib,j,SUPD,DLLSUFFIX,_g,UNXSUFFIX));
+    Name = STRING(CONCAT6(lib,j,SUPD,DLLPOSTFIX,_g,UNXSUFFIX));
   #else
-    Name = STRING(CONCAT5(j,SUPD,DLLSUFFIX,_g,.dll));
+    Name = STRING(CONCAT5(j,SUPD,DLLPOSTFIX,_g,.dll));
   #endif
     Dir = gid_Dir_Program;
     Styles = (PACKED,PATCH);
@@ -1458,18 +1458,18 @@
 
 File gid_File_Lib_Deployment
 #if defined UNX
-    Name = STRING(CONCAT5(deployment,OFFICEUPD,DLLSUFFIX,.uno,UNXSUFFIX));
+    Name = STRING(CONCAT5(deployment,OFFICEUPD,DLLPOSTFIX,.uno,UNXSUFFIX));
 #else
-    Name = STRING(CONCAT4(deployment,OFFICEUPD,DLLSUFFIX,.uno.dll));
+    Name = STRING(CONCAT4(deployment,OFFICEUPD,DLLPOSTFIX,.uno.dll));
 #endif
     PACKED_UNO_LIB_FILE_BODY_PATCH;
 End
 
 File gid_File_Lib_DeploymentGui
 #if defined UNX
-    Name = STRING(CONCAT5(deploymentgui,OFFICEUPD,DLLSUFFIX,.uno,UNXSUFFIX));
+    Name = STRING(CONCAT5(deploymentgui,OFFICEUPD,DLLPOSTFIX,.uno,UNXSUFFIX));
 #else
-    Name = STRING(CONCAT4(deploymentgui,OFFICEUPD,DLLSUFFIX,.uno.dll));
+    Name = STRING(CONCAT4(deploymentgui,OFFICEUPD,DLLPOSTFIX,.uno.dll));
 #endif
     PACKED_UNO_LIB_FILE_BODY_PATCH;
 End
@@ -1632,7 +1632,7 @@
 
 File gid_File_Lib_Salextra
     TXT_FILE_BODY;
-    Name = STRING(CONCAT3(libsalextra_x11osx_,DLLSUFFIX,UNXSUFFIX));
+    Name = STRING(CONCAT3(libsalextra_x11osx_,DLLPOSTFIX,UNXSUFFIX));
     Dir = gid_Dir_Program;
     Styles = (PACKED);
 End
@@ -1960,7 +1960,7 @@
     RegistryID = gid_Starregistry_Services_Rdb;
     Dir = gid_Dir_Program;
   #ifdef UNX
-    Name = STRING(CONCAT4(libdtransX11,SUPD,DLLSUFFIX,UNXSUFFIX));
+    Name = STRING(CONCAT4(libdtransX11,SUPD,DLLPOSTFIX,UNXSUFFIX));
   #else
     Name = "sysdtrans.dll";
   #endif