Index: bin/build.pl
===================================================================
RCS file: /cvs/tools/solenv/bin/build.pl,v
retrieving revision 1.145
retrieving revision 1.145.84.1
diff -u -r1.145 -r1.145.84.1
--- bin/build.pl	14 Dec 2005 12:05:40 -0000	1.145
+++ bin/build.pl	6 Feb 2006 15:03:07 -0000	1.145.84.1
@@ -194,7 +194,6 @@
 
         $deliver_env{'BUILD_SOSL'}++;
         $deliver_env{'COMMON_OUTDIR'}++;
-        $deliver_env{'DLLSUFFIX'}++;
         $deliver_env{'GUI'}++;
         $deliver_env{'INPATH'}++;
         $deliver_env{'OFFENV_PATH'}++;
Index: bin/linkoo
===================================================================
RCS file: /cvs/tools/solenv/bin/linkoo,v
retrieving revision 1.11
retrieving revision 1.11.24.1
diff -u -r1.11 -r1.11.24.1
--- bin/linkoo	19 Jan 2006 16:16:16 -0000	1.11
+++ bin/linkoo	6 Feb 2006 15:03:08 -0000	1.11.24.1
@@ -76,7 +76,7 @@
 {
     my $build_dir = shift;
     my ($dirhandle, $fname);
-    my ($target, $libver, $lang, $dllsuffix) = ( 'unxlngi4.pro', '680', 'en-US', 'li' ); # defaults
+    my ($target, $libver, $lang) = ( 'unxlngi4.pro', '680', 'en-US' ); # defaults
     
     opendir ($dirhandle, $build_dir) || die "Can't open $build_dir";
     while ($fname = readdir ($dirhandle)) {
@@ -92,18 +92,15 @@
 	    if ($1 eq 'UPD') {
 		$libver = $2;
 	    }
-	    if ($1 eq 'DLLSUFFIX') {
-		$dllsuffix = $2;
-	    }
 	}
 	close ($file);
     }
 
     closedir ($dirhandle);
 
-    print "Sniffed target: $target, $libver, $dllsuffix\n";
+    print "Sniffed target: $target, $libver\n";
 
-    return ($target, $libver, $lang, $dllsuffix);
+    return ($target, $libver, $lang);
 }
 
 sub build_installed_list($)
@@ -344,7 +341,7 @@
 -d $OOO_BUILD || die "No such directory $OOO_BUILD";
 -d "$OOO_INSTALL/program/resource" || die "$OOO_INSTALL doesn't look like an OO install";
 
-($TARGET, $LIBVER, $LANG, $DLLSUFFIX) = sniff_target ($OOO_BUILD);
+($TARGET, $LIBVER, $LANG) = sniff_target ($OOO_BUILD);
 
 evilness ('undo');
 
Index: config/ssrc680.ini
===================================================================
RCS file: /cvs/tools/solenv/config/ssrc680.ini,v
retrieving revision 1.90
retrieving revision 1.90.22.1
diff -u -r1.90 -r1.90.22.1
--- config/ssrc680.ini	20 Jan 2006 10:49:16 -0000	1.90
+++ config/ssrc680.ini	6 Feb 2006 15:03:08 -0000	1.90.22.1
@@ -353,7 +353,6 @@
             COM GCC
             CPU S
             CPUNAME SPARC
-            DLLSUFFIX ss
             INPATH unxsogs%PROEXT%
 			GVERDIR unxsogs%PROEXT%
 			OUTPATH unxsogs
@@ -651,7 +650,6 @@
 			COMEX 4
 			CPU I
 			CPUNAME INTEL
-			DLLSUFFIX si
 			INPATH unxsoli4%PROEXT%
 			GVERDIR unxsoli4%PROEXT%
 			OUTPATH unxsoli4
@@ -973,7 +971,6 @@
 			COMEX 4
 			CPU S
 			CPUNAME SPARC
-			DLLSUFFIX ss
 			INPATH unxsols4%PROEXT%
 			GVERDIR unxsols4%PROEXT%
 			OUTPATH unxsols4
@@ -1290,7 +1287,6 @@
 			COMEX 1
 			CPU S64B
 			CPUNAME SPARC
-			DLLSUFFIX ss64b
 			INPATH unxsols64b1%PROEXT%
 			GVERDIR unxsols64b1%PROEXT%
 			OUTPATH unxsols64b1
@@ -1574,7 +1570,6 @@
 			COM GCC
 			CPU I
 			CPUNAME INTEL
-			DLLSUFFIX li
 			INPATH unxlngi4%PROEXT%
 			GVERDIR unxlngi4%PROEXT%
 			OUTPATH unxlngi4
@@ -1900,7 +1895,6 @@
 			COM GCC
 			CPU I
 			CPUNAME INTEL
-			DLLSUFFIX li
 			INPATH unxlngi5%PROEXT%
 			GVERDIR unxlngi5%PROEXT%
 			OUTPATH unxlngi5
@@ -2228,7 +2222,6 @@
 			COM GCC
 			CPU I
 			CPUNAME INTEL
-			DLLSUFFIX li
             ENABLE_PASF TRUE
             ENABLE_NAS TRUE
 			INPATH unxlngi6%PROEXT%
@@ -2691,7 +2684,6 @@
 			CPUNAME INTEL
 			CVER M1300
 			DEMO_ENV FALSE
-			DLLSUFFIX mi
 			DYNAMIC_CRT TRUE
 			emergency FALSE
 			GUI WNT
@@ -3052,7 +3044,6 @@
 			CPUNAME INTEL
 			CVER M1300
 			DEMO_ENV FALSE
-			DLLSUFFIX mi
 			DYNAMIC_CRT TRUE
 			emergency FALSE
 			GUI WNT
@@ -3416,7 +3407,6 @@
 			COM GCC
 			CPU P
 			CPUNAME POWERPC
-			DLLSUFFIX mxp
 			INPATH unxmacxp%PROEXT%
 			GVERDIR unxmacxp%PROEXT%
 			OUTPATH unxmacxp
@@ -3671,7 +3661,6 @@
 			COM GCC
 			CPU I
 			CPUNAME INTEL
-			DLLSUFFIX fi
 			INPATH unxfbsdi%PROEXT%
 			GVERDIR unxfbsdi%PROEXT%
 			OUTPATH unxfbsdi
@@ -3961,7 +3950,6 @@
 			CPUNAME INTEL
 			CVER M1310
 			DEMO_ENV FALSE
-			DLLSUFFIX mi
 			DYNAMIC_CRT TRUE
 			emergency FALSE
 			GUI WNT
@@ -4321,7 +4309,6 @@
 			CPUNAME INTEL
 			CVER M1310
 			DEMO_ENV FALSE
-			DLLSUFFIX mi
 			DYNAMIC_CRT TRUE
 			emergency FALSE
 			GUI WNT
Index: inc/pstrules.mk
===================================================================
RCS file: /cvs/tools/solenv/inc/pstrules.mk,v
retrieving revision 1.38
retrieving revision 1.38.24.1
diff -u -r1.38 -r1.38.24.1
--- inc/pstrules.mk	20 Jan 2006 12:09:05 -0000	1.38
+++ inc/pstrules.mk	6 Feb 2006 15:03:09 -0000	1.38.24.1
@@ -195,14 +195,10 @@
 	@echo Making: $@
 	@+-$(MKDIR) $(MISC)$/{$(subst,$(@:d:d:d), $(@:d:d))} >& $(NULLDEV)
 .IF "$(GUI)"=="WNT"
-	$(CPPLCC) -+ -P $(INCLUDE) $(CDEFS) $(SCPDEFS) -DDLLSUFFIX=$(DLLSUFFIX) $(*:b).scp > $(MISC)$/{$(subst,$(@:d:d:d), $(@:d:d))}$/$(*:b).pre
+	$(CPPLCC) -+ -P $(INCLUDE) $(CDEFS) $(SCPDEFS) -DDLLPOSTFIX=$(DLLPOSTFIX) $(*:b).scp > $(MISC)$/{$(subst,$(@:d:d:d), $(@:d:d))}$/$(*:b).pre
 .ENDIF
 .IF "$(GUI)"=="UNX"
-.IF "$(OS)"=="SOLARIS"
-	cpp.lcc -+ -P $(CDEFS) $(SCPDEFS) -DDLLSUFFIX=$(DLLSUFFIX) -I. -I$(INC) -I$(INCLOCAL) -I$(INCGUI) -I$(INCCOM) $(SOLARINC) $(*:b).scp > $(MISC)$/{$(subst,$(@:d:d:d), $(@:d:d))}$/$(*:b).pre
-.ELSE
-	cpp.lcc -+ -P $(CDEFS) $(SCPDEFS) -DDLLSUFFIX=$(DLLSUFFIX) -I. -I$(INC) -I$(INCLOCAL) -I$(INCGUI) -I$(INCCOM) $(SOLARINC) $(*:b).scp > $(MISC)$/{$(subst,$(@:d:d:d), $(@:d:d))}$/$(*:b).pre
-.ENDIF
+	cpp.lcc -+ -P $(CDEFS) $(SCPDEFS) -DDLLPOSTFIX=$(DLLPOSTFIX) -I. -I$(INC) -I$(INCLOCAL) -I$(INCGUI) -I$(INCCOM) $(SOLARINC) $(*:b).scp > $(MISC)$/{$(subst,$(@:d:d:d), $(@:d:d))}$/$(*:b).pre
 .ENDIF
 .IF "$(common_build_srs)"!=""
 	+$(SCPCOMP) -l {$(subst,$(OUTPATH),$(COMMON_OUTDIR) $(MISC))$/$(TARGET)$/$(@:b).$(LANGFILEEXT)} -s $(MISC)$/{$(subst,$(@:d:d:d), $(@:d:d))}$/$(*:b).pre -o $@
Index: inc/rules.mk
===================================================================
RCS file: /cvs/tools/solenv/inc/rules.mk,v
retrieving revision 1.64
retrieving revision 1.64.210.1
diff -u -r1.64 -r1.64.210.1
--- inc/rules.mk	8 Sep 2005 09:38:28 -0000	1.64
+++ inc/rules.mk	6 Feb 2006 15:03:10 -0000	1.64.210.1
@@ -515,7 +515,7 @@
 	@echo Making: $@ $(noout)
 	@+-$(RM) $@ >& $(NULLDEV)
 	@+-$(MKDIR) $(MISC)$/{$(subst,$(@:d:d:d), $(@:d:d))} >& $(NULLDEV)
-	@$(MAKEDEPEND) -f - -p$(PAR)$/{$(subst,$(@:d:d:d), $(@:d:d))}$/ -o.par -D{$(subst,$(@:d:d:d:u), $(@:d:d:u))}_PRODUCT $(CDEFS) -DDLLSUFFIX=$(DLLSUFFIX) -I. -I$(INC) -I$(INCLOCAL) -I$(INCGUI) -I$(INCCOM) $(*:b).scp > $@
+	@$(MAKEDEPEND) -f - -p$(PAR)$/{$(subst,$(@:d:d:d), $(@:d:d))}$/ -o.par -D{$(subst,$(@:d:d:d:u), $(@:d:d:u))}_PRODUCT $(CDEFS) -DDLLPOSTFIX=$(DLLPOSTFIX) -I. -I$(INC) -I$(INCLOCAL) -I$(INCGUI) -I$(INCCOM) $(*:b).scp > $@
 .IF "$(LAZY_DEPS)"==""	
 	@+echo $@ : $(PAR)$/{$(subst,$(@:d:d:d), $(@:d:d))}$/$(*:b).par  >> $@
 	@+echo $(PAR)$/{$(subst,$(@:d:d:d), $(@:d:d))}$/$(*:b).par : $(*:b).scp >> $@
@@ -529,7 +529,7 @@
 	@echo ------------------------------ $(noout)
 	@echo Making: $@ $(noout)
 	@+-$(RM) $@ >& $(NULLDEV)
-	@$(MAKEDEPEND) -f - -p$(RES)$/ -o.res $(RCLANGFLAGS_{$(subst,$(@:d:d:d:u), $(@:d:d:u))}:u:s/ //) $(CDEFS) -DDLLSUFFIX=$(DLLSUFFIX) -I. -I$(INC) -I$(INCLOCAL) -I$(INCGUI) -I$(INCCOM) -I$(SOLARENV)$/inc $(*:b).rc >> $@
+	@$(MAKEDEPEND) -f - -p$(RES)$/ -o.res $(RCLANGFLAGS_{$(subst,$(@:d:d:d:u), $(@:d:d:u))}:u:s/ //) $(CDEFS) -DDLLPOSTFIX=$(DLLPOSTFIX) -I. -I$(INC) -I$(INCLOCAL) -I$(INCGUI) -I$(INCCOM) -I$(SOLARENV)$/inc $(*:b).rc >> $@
 .IF "$(LAZY_DEPS)"==""	
 #	@+echo $@ : $(RES)$/{$(subst,$(@:d:d:d), $(@:d:d))}$/$(*:b).res  >> $@
 	@+echo $@ : $(RES)$/$(*:b).res  >> $@
Index: inc/settings.mk
===================================================================
RCS file: /cvs/tools/solenv/inc/settings.mk,v
retrieving revision 1.185
retrieving revision 1.185.22.1
diff -u -r1.185 -r1.185.22.1
--- inc/settings.mk	20 Jan 2006 12:09:20 -0000	1.185
+++ inc/settings.mk	17 Feb 2006 18:08:54 -0000	1.185.22.1
@@ -186,12 +186,11 @@
 .ENDIF
 
 #required arguments
-.IF "$(JAVACACHE)" != ""
-JAVAC=$(JAVACOMPILER) --encoding=ISO-8859-15 -O2 -fno-assert -Wno-deprecated -C
-JAVAI=$(JAVAINTERPRETER) -Dgnu.gcj.precompiled.db.path=$(GCJ_DATABASE)
-.ELSE
 JAVAC=$(JAVACOMPILER)
 JAVAI=$(JAVAINTERPRETER)
+.IF "$(JAVACACHE)" != ""
+JAVAC+=--encoding=UTF-8 -O2 -fno-assert -Wno-deprecated -C
+JAVAI+=-Dgnu.gcj.precompiled.db.path=$(GCJ_DATABASE)
 .ENDIF
 
 #classpath and response
Index: inc/startup/startup.mk
===================================================================
RCS file: /cvs/tools/solenv/inc/startup/startup.mk,v
retrieving revision 1.8
retrieving revision 1.8.380.1
diff -u -r1.8 -r1.8.380.1
--- inc/startup/startup.mk	11 Apr 2005 08:59:12 -0000	1.8
+++ inc/startup/startup.mk	6 Feb 2006 15:03:10 -0000	1.8.380.1
@@ -33,7 +33,7 @@
 .INCLUDEDIRS : $(DMAKE_INC) $(SOLARVERSION)$/$(INPATH)$/inc$(UPDMINOREXT) $(SOLARENV)/inc
 
 # Grab key definitions from the environment
-# .IMPORT .IGNORE : OS TMPDIR SHELL UPD INPATH OUTPATH GUI COM EX CLASSPATH PRODUCT GUIBASE SOLARENV SOLARVER GUIENV CPU CPUNAME DLLSUFFIX CVER GVER COMPATH LIB INCLUDE TR SORT UNIQ ROOTDIR SED AWK TOUCH IENV ILIB DEMO_ENV PRODUCT_ENV COMEX UPD BUILD DEVROOT VCL SO3 ENVCFLAGS
+# .IMPORT .IGNORE : OS TMPDIR SHELL UPD INPATH OUTPATH GUI COM EX CLASSPATH PRODUCT GUIBASE SOLARENV SOLARVER GUIENV CPU CPUNAME CVER GVER COMPATH LIB INCLUDE TR SORT UNIQ ROOTDIR SED AWK TOUCH IENV ILIB DEMO_ENV PRODUCT_ENV COMEX UPD BUILD DEVROOT VCL SO3 ENVCFLAGS
 
 .IF "$(OS)" == "" || "$(OS)" == "Windows_NT"
 .ERROR : ; @echo Forced error: Environment variable OS has to be set for OOo build!