Index: inc/xmlehelp.hxx
===================================================================
RCS file: /cvs/xml/xmloff/inc/xmlehelp.hxx,v
retrieving revision 1.4
retrieving revision 1.4.78.2
diff -u -r1.4 -r1.4.78.2
Index: inc/xmluconv.hxx
===================================================================
RCS file: /cvs/xml/xmloff/inc/xmluconv.hxx,v
retrieving revision 1.24
retrieving revision 1.24.76.2
diff -u -r1.24 -r1.24.76.2
Index: source/core/xmlehelp.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/core/xmlehelp.cxx,v
retrieving revision 1.9
retrieving revision 1.9.70.3
diff -u -r1.9 -r1.9.70.3
Index: source/core/xmluconv.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/core/xmluconv.cxx,v
retrieving revision 1.40
retrieving revision 1.40.50.2
diff -u -r1.40 -r1.40.50.2
Index: source/style/XMLBackgroundImageContext.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/XMLBackgroundImageContext.cxx,v
retrieving revision 1.11
retrieving revision 1.11.76.2
diff -u -r1.11 -r1.11.76.2
Index: source/style/XMLFontAutoStylePool.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/XMLFontAutoStylePool.cxx,v
retrieving revision 1.5
retrieving revision 1.5.78.1
diff -u -r1.5 -r1.5.78.1
--- source/style/XMLFontAutoStylePool.cxx	9 Sep 2005 14:33:26 -0000	1.5
+++ source/style/XMLFontAutoStylePool.cxx	21 Feb 2006 12:28:05 -0000	1.5.78.1
@@ -195,7 +195,7 @@
 	OUString sName;
 	XMLFontAutoStylePoolEntry_Impl aTmp( rFamilyName, rStyleName, nFamily,
 									 	 nPitch, eEnc );
-	sal_uInt32 nPos;
+	ULONG nPos;
 	if( pPool->Seek_Entry( &aTmp, &nPos ) )
 	{
 		sName = pPool->GetObject( nPos )->GetName();
@@ -249,7 +249,7 @@
 	OUString sName;
 	XMLFontAutoStylePoolEntry_Impl aTmp( rFamilyName, rStyleName, nFamily,
 									 	 nPitch, eEnc );
-	sal_uInt32 nPos;
+	ULONG nPos;
 	if( pPool->Seek_Entry( &aTmp, &nPos ) )
 	{
 		sName = pPool->GetObject( nPos )->GetName();
Index: source/style/backhdl.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/backhdl.cxx,v
retrieving revision 1.4
retrieving revision 1.4.78.2
diff -u -r1.4 -r1.4.78.2
Index: source/style/bordrhdl.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/bordrhdl.cxx,v
retrieving revision 1.5
retrieving revision 1.5.78.2
diff -u -r1.5 -r1.5.78.2
Index: source/style/impastp4.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/impastp4.cxx,v
retrieving revision 1.15
retrieving revision 1.15.78.1
diff -u -r1.15 -r1.15.78.1
--- source/style/impastp4.cxx	9 Sep 2005 14:43:16 -0000	1.15
+++ source/style/impastp4.cxx	21 Feb 2006 12:28:05 -0000	1.15.78.1
@@ -109,7 +109,7 @@
 		sal_Bool bAsFamily )
 {
 	// store family in a list if not already stored
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl *pFamily = new XMLFamilyData_Impl( nFamily, rStrName, rMapper, rStrPrefix, bAsFamily );
 	if( !maFamilyList.Seek_Entry( pFamily, &nPos ) )
 		maFamilyList.Insert( pFamily );
@@ -126,7 +126,7 @@
 {
 	SvXMLAutoStylePoolNamesP_Impl *pNames = 0;
 
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
 		pNames = maFamilyList.GetObject( nPos )->mpNameList;
@@ -196,7 +196,7 @@
 				sal_Bool bCache)
 {
 	sal_Bool bRet(sal_False);
-	sal_uInt32 nPos;
+	ULONG nPos;
 
 	XMLFamilyData_Impl *pFamily = 0;
 	XMLFamilyData_Impl aTmp( nFamily );
@@ -244,7 +244,7 @@
 OUString SvXMLAutoStylePoolP_Impl::AddToCache( sal_Int32 nFamily,
 							 		    const OUString& rParent )
 {
-	sal_uInt32 nPos;
+	ULONG nPos;
 
 	XMLFamilyData_Impl *pFamily = 0;
 	XMLFamilyData_Impl aTmp( nFamily );
@@ -276,7 +276,7 @@
 {
 	OUString sName;
 
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	XMLFamilyData_Impl *pFamily = 0;
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
@@ -303,7 +303,7 @@
 {
 	OUString sName;
 
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	XMLFamilyData_Impl *pFamily = 0;
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
@@ -345,7 +345,7 @@
 	sal_uInt32 nCount = 0;
 
 	// Get list of parents for current family (nFamily)
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	XMLFamilyData_Impl *pFamily = 0;
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
Index: source/style/xmlnume.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/xmlnume.cxx,v
retrieving revision 1.23
retrieving revision 1.23.78.2
diff -u -r1.23 -r1.23.78.2
Index: source/style/xmlnumi.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/xmlnumi.cxx,v
retrieving revision 1.34
retrieving revision 1.34.14.2
diff -u -r1.34 -r1.34.14.2
Index: source/style/xmlstyle.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/xmlstyle.cxx,v
retrieving revision 1.36
retrieving revision 1.36.76.1
diff -u -r1.36 -r1.36.76.1
--- source/style/xmlstyle.cxx	9 Sep 2005 14:54:54 -0000	1.36
+++ source/style/xmlstyle.cxx	21 Feb 2006 12:28:05 -0000	1.36.76.1
@@ -449,7 +449,7 @@
 	if( pIndices )
 	{
 		SvXMLStyleIndex_Impl aIndex( nFamily, rName );
-		sal_uInt32 nPos = 0;
+		ULONG nPos = 0;
 		if( pIndices->Seek_Entry( &aIndex, &nPos ) )
 			pStyle = pIndices->GetObject( nPos )->GetStyle();
 	}
Index: source/text/XMLSectionExport.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/XMLSectionExport.cxx,v
retrieving revision 1.39
retrieving revision 1.39.78.2
diff -u -r1.39 -r1.39.78.2
Index: source/text/XMLTextListAutoStylePool.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/XMLTextListAutoStylePool.cxx,v
retrieving revision 1.5
retrieving revision 1.5.78.1
diff -u -r1.5 -r1.5.78.1
--- source/text/XMLTextListAutoStylePool.cxx	9 Sep 2005 15:22:04 -0000	1.5
+++ source/text/XMLTextListAutoStylePool.cxx	21 Feb 2006 12:28:06 -0000	1.5.78.1
@@ -225,7 +225,7 @@
 
 sal_uInt32 XMLTextListAutoStylePool::Find( XMLTextListAutoStylePoolEntry_Impl* pEntry ) const
 {
-	sal_uInt32 nPos;
+	ULONG nPos;
 	if( !pEntry->IsNamed() && mxNumRuleCompare.is() )
 	{
 		const sal_uInt32 nCount = pPool->Count();
Index: source/text/txtparae.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/txtparae.cxx,v
retrieving revision 1.125
retrieving revision 1.125.42.2
diff -u -r1.125 -r1.125.42.2
Index: source/text/txtstyle.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/txtstyle.cxx,v
retrieving revision 1.20
retrieving revision 1.20.40.1
diff -u -r1.20 -r1.20.40.1
--- source/text/txtstyle.cxx	17 Nov 2005 17:37:18 -0000	1.20
+++ source/text/txtstyle.cxx	21 Feb 2006 12:28:06 -0000	1.20.40.1
@@ -163,7 +163,7 @@
 	if( nOutlineLevel != -1 )
 	{
 		OUStringBuffer sTmp;
-					sTmp.append( (sal_Int32)nOutlineLevel+1L );
+					sTmp.append( static_cast<sal_Int32>(nOutlineLevel+1L) );
 		GetExport().AddAttribute( XML_NAMESPACE_STYLE,
 							XML_DEFAULT_OUTLINE_LEVEL,
 							sTmp.makeStringAndClear() );